Name:           libdsk
Version:        1.2.1
Release:        5%{?dist}
Summary:        Library for accessing disk images
Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.seasip.demon.co.uk/Unix/LibDsk
Source0:        http://www.seasip.demon.co.uk/Unix/LibDsk/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  bzip2-devel
BuildRequires:  zlib-devel

%description
A library for accessing disk images, particularly for use with emulators.


%package devel
Summary:    Development files for libdsk
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
Development files for libdsk.


%package tools
Summary:    Tools for use with libdsk
Group:      Applications/System
Requires:   %{name} = %{version}

%description tools
Tools for use with libdsk.


%prep
%setup -q

# Fix dodgy permissions on files that end up in debuginfo package
find . -name '*.[ch]' | xargs chmod 0644

# EOL fixes for files that end up in the debuginfo package
sed -i 's/\r//' lib/*.h

# Character encoding fixes
iconv -f iso8859-1 doc/libdsk.txt -t utf8 > doc/libdsk.conv \
    && /bin/mv -f doc/libdsk.conv doc/libdsk.txt


%build
%configure --disable-rpath --disable-static
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%{_libdir}/libdsk.so.*
%doc doc/COPYING ChangeLog TODO doc/libdsk.{pdf,txt}


%files tools
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*


%files devel
%defattr(-,root,root)
%{_libdir}/libdsk.so
%{_includedir}/libdsk.h
%exclude %{_libdir}/libdsk.la
%doc doc/cfi.html doc/apridisk.html doc/protocol.txt


%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar 05 2008 Ian Chapman <packages[AT]amiga-hardware.com> 1.2.1-1
- Upgrade to 1.2.1

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.2.0-2
- Autorebuild for GCC 4.3

* Sun Jan 06 2008 Ian Chapman <packages[AT]amiga-hardware.com> 1.2.0-1
- Upgrade to 1.2.0
- Dropped open() patch, fixed upstream

* Wed Aug 22 2007 Ian Chapman <packages[AT]amiga-hardware.com> 1.1.14-2
- Release bump for F8 mass rebuild
- Corrected license

* Fri Aug 10 2007 Ian Chapman <packages[AT]amiga-hardware.com> 1.1.14-1
- Upgrade to 1.1.14
- Updated license field due to new guidelines
- Added patch to fix open() due to new macros

* Wed Jul 04 2007 Ian Chapman <packages[AT]amiga-hardware.com> 1.1.12-1
- Upgrade to 1.1.12
- Removed some extraneous 'docs'
- Moved some docs to the devel sub package

* Sat Sep 16 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 1.1.9-2
- rebuild

* Sun Apr 02 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 1.1.9-1
- Bump to new version

* Fri Nov 11 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 1.1.6.1
- Removed packager
- Altered BR to remove requirement for sed
- Fixed BuildRoot to honour FC rules
- Altered licence to GPL
- Altered numbering scheme for version
- Renamed spec file
- Added in new binaries and man files for dskdump and dskscan
- Bumped to upstream version 1.1.6
- A couple of fiddly fixes suggested by Paul Howard

* Mon Oct 17 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 1.1.4-1.2
- Alterations to Requires: and name

* Mon Jul 11 2005 Paul Johnson <paul@all-the-johnsons.co.uk> - 1.1.4-1.1.FC4
- Changed version for FC4

* Mon May 22 2005 Ian Chapman <packages[AT]amiga-hardware.com> - 1.1.4-1.iss
- Updated to version 1.1.4

* Mon Feb 28 2005 Ian Chapman <packages[AT]amiga-hardware.com> - 1.1.3-1.iss
- Changelog duplicated in spec file, fixed.
- Updated to version 1.1.3
- Removed some install commands, no longer needed with this version

* Mon Jul 16 2004 Ian Chapman <packages[AT]amiga-hardware.com> - 1.1.1-1.iss
- Updated to version to 1.1.1
- Updated for use with Fedora Core 2
- Split the tools from the main libdsk RPM

* Fri Dec 05 2003 Ian Chapman <packages[AT]amiga-hardware.com> - 1.1.0-2
- Minor fixes to changelog
- Changed copyright to distributable
- Moved a file from the main package to the devel package

* Sat Dec 01 2003 Ian Chapman <packages[AT]amiga-hardware.com> - 1.1.0-1
- Initial Release
